## org.jfree.chart.entity
Class ContourEntity

    java.lang.Object
      org.jfree.chart.entity.ChartEntity
          org.jfree.chart.entity.ContourEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

    public class ContourEntity

extends ChartEntity
implements java.lang.Cloneable, java.io.Serializable

Represents an item on a contour chart.

Author:
  David M. O'Donnell
See Also:
  Serialized Form

Constructor Summary
`ContourEntity(java.awt.Shape area, java.lang.String toolTipText)` Constructor for ContourEntity.
`ContourEntity(java.awt.Shape area, java.lang.String toolTipText, java.lang.String urlText)` Constructor for ContourEntity.

Method Summary
`java.lang.Object` `clone()` Returns a clone of the entity.
`boolean` `equals(java.lang.Object obj)` Tests the entity for equality with an arbitrary object.
`int` `getIndex()` Returns the index.
`void` `setIndex(int index)` Sets the index.

Methods inherited from class org.jfree.chart.entity.ChartEntity
`getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, setArea, setToolTipText, setURLText`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContourEntity

    public ContourEntity(java.awt.Shape area,
                         java.lang.String toolTipText)

  Constructor for ContourEntity.

  Parameters:
    `area` - the area.
    `toolTipText` - the tooltip text.

### ContourEntity

    public ContourEntity(java.awt.Shape area,
                         java.lang.String toolTipText,
                         java.lang.String urlText)

  Constructor for ContourEntity.

  Parameters:
    `area` - the area.
    `toolTipText` - the tooltip text.
    `urlText` - the URL text.

Method Detail

### getIndex

    public int getIndex()

  Returns the index.

  Returns:
    The index.

### setIndex

    public void setIndex(int index)

  Sets the index.

  Parameters:
    `index` - the index.

### equals

    public boolean equals(java.lang.Object obj)

  Tests the entity for equality with an arbitrary object.

  Overrides:
    `equals` in class `ChartEntity`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the entity.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `ChartEntity`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if cloning is not supported.